<?php 

	$fitness_club_gym_custom_style = '';

	// Logo Size
	$fitness_club_gym_logo_top_margin = get_theme_mod('fitness_club_gym_logo_top_margin');
	$fitness_club_gym_logo_bottom_margin = get_theme_mod('fitness_club_gym_logo_bottom_margin');
	$fitness_club_gym_logo_left_margin = get_theme_mod('fitness_club_gym_logo_left_margin');
	$fitness_club_gym_logo_right_margin = get_theme_mod('fitness_club_gym_logo_right_margin');

	if( $fitness_club_gym_logo_top_margin != '' || $fitness_club_gym_logo_bottom_margin != '' || $fitness_club_gym_logo_left_margin != '' || $fitness_club_gym_logo_right_margin != ''){
		$fitness_club_gym_custom_style .=' .logo {';
			$fitness_club_gym_custom_style .=' margin-top: '.esc_attr($fitness_club_gym_logo_top_margin).'px ;
			margin-bottom: '.esc_attr($fitness_club_gym_logo_bottom_margin).'px ;
			margin-left: '.esc_attr($fitness_club_gym_logo_left_margin).'px ;
			margin-right: '.esc_attr($fitness_club_gym_logo_right_margin).'px ;';
		$fitness_club_gym_custom_style .=' }';
	}

	// Site Title Font Size
	$fitness_club_gym_site_title_font_size = get_theme_mod('fitness_club_gym_site_title_font_size');
	if( $fitness_club_gym_site_title_font_size != ''){
		$fitness_club_gym_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$fitness_club_gym_custom_style .=' font-size: '.esc_attr($fitness_club_gym_site_title_font_size).'px;';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_site_title_color = get_theme_mod('fitness_club_gym_site_title_color');
	if ( $fitness_club_gym_site_title_color != '') {
		$fitness_club_gym_custom_style .=' h1.site-title a, p.site-title a {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_site_title_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_site_tagline_color = get_theme_mod('fitness_club_gym_site_tagline_color');
	if ( $fitness_club_gym_site_tagline_color != '') {
		$fitness_club_gym_custom_style .=' p.site-description {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_site_tagline_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	// Header Image
	$header_image_url = fitness_club_gym_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$fitness_club_gym_custom_style .=' #inner-pages-header {';
			$fitness_club_gym_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$fitness_club_gym_custom_style .=' }';
		$fitness_club_gym_custom_style .=' .header-overlay {';
			$fitness_club_gym_custom_style .=' position: absolute; 	width: 100%; height: 100%; 	top: 0; left: 0; background: #000; opacity: 0.3;';
		$fitness_club_gym_custom_style .=' }';
	} else {
		$fitness_club_gym_custom_style .=' #inner-pages-header {';
			$fitness_club_gym_custom_style .=' background:linear-gradient(0deg,#ccc,#0a0607 80%) no-repeat; ';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_tophdricon_color = get_theme_mod('fitness_club_gym_tophdricon_color');
	if ( $fitness_club_gym_tophdricon_color != '') {
		$fitness_club_gym_custom_style .=' .topbar a.phone i, .topbar p.time i{';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_tophdricon_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_tophdrtext_color = get_theme_mod('fitness_club_gym_tophdrtext_color');
	if ( $fitness_club_gym_tophdrtext_color != '') {
		$fitness_club_gym_custom_style .=' .topbar a.phone, .topbar p.time {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_tophdrtext_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_tophdrbg_color = get_theme_mod('fitness_club_gym_tophdrbg_color');
	if ( $fitness_club_gym_tophdrbg_color != '') {
		$fitness_club_gym_custom_style .=' .topbar {';
			$fitness_club_gym_custom_style .=' background-color:'.esc_attr($fitness_club_gym_tophdrbg_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_menu_color = get_theme_mod('fitness_club_gym_menu_color');
	if ( $fitness_club_gym_menu_color != '') {
		$fitness_club_gym_custom_style .=' .nav-menu ul li a {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_menu_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_menuhvr_color = get_theme_mod('fitness_club_gym_menuhvr_color');
	if ( $fitness_club_gym_menuhvr_color != '') {
		$fitness_club_gym_custom_style .=' .nav-menu ul li a:hover {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_menuhvr_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_menubg_color = get_theme_mod('fitness_club_gym_menubg_color');
	if ( $fitness_club_gym_menubg_color != '') {
		$fitness_club_gym_custom_style .=' #header {';
			$fitness_club_gym_custom_style .=' background-color:'.esc_attr($fitness_club_gym_menubg_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	//slider color
	$fitness_club_gym_slider_hide_show = get_theme_mod('fitness_club_gym_slider_hide_show',false);
	if( $fitness_club_gym_slider_hide_show == true){
		$fitness_club_gym_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$fitness_club_gym_custom_style .=' display:none;';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_slidertitle_color = get_theme_mod('fitness_club_gym_slidertitle_color');
	if ( $fitness_club_gym_slidertitle_color != '') {
		$fitness_club_gym_custom_style .=' #slider h2 a {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_slidertitle_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_slidertext_color = get_theme_mod('fitness_club_gym_slidertext_color');
	if ( $fitness_club_gym_slidertext_color != '') {
		$fitness_club_gym_custom_style .=' #slider p {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_slidertext_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_sliderbtn_color = get_theme_mod('fitness_club_gym_sliderbtn_color');
	if ( $fitness_club_gym_sliderbtn_color != '') {
		$fitness_club_gym_custom_style .=' #slider a.read-btn span, .article_content .read-btn a span {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_sliderbtn_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_sliderbtnbg_color = get_theme_mod('fitness_club_gym_sliderbtnbg_color');
	if ( $fitness_club_gym_sliderbtnbg_color != '') {
		$fitness_club_gym_custom_style .=' #slider a.read-btn, .article_content .read-btn a {';
			$fitness_club_gym_custom_style .=' background-color:'.esc_attr($fitness_club_gym_sliderbtnbg_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_sliderbtnhvr_color = get_theme_mod('fitness_club_gym_sliderbtnhvr_color');
	$fitness_club_gym_sliderbtnhvrbg_color = get_theme_mod('fitness_club_gym_sliderbtnhvrbg_color');
	if ( $fitness_club_gym_sliderbtnhvr_color != '') {
		$fitness_club_gym_custom_style .=' #slider a.read-btn:before, #slider a.read-btn:after, #slider a.read-btn:hover span {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_sliderbtnhvr_color).'; background-color:'.esc_attr($fitness_club_gym_sliderbtnhvrbg_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_np_color = get_theme_mod('fitness_club_gym_np_color');
	$fitness_club_gym_npbg_color = get_theme_mod('fitness_club_gym_npbg_color');
	if ( $fitness_club_gym_np_color != '') {
		$fitness_club_gym_custom_style .=' #slider .carousel-control-prev-icon i, #slider .carousel-control-next-icon i {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_np_color).'; background-color:'.esc_attr($fitness_club_gym_npbg_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	// service color
	$fitness_club_gym_service_color = get_theme_mod('fitness_club_gym_service_color');
	if ( $fitness_club_gym_service_color != '') {
		$fitness_club_gym_custom_style .=' #service-section h3 {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_service_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_servicebdr_color = get_theme_mod('fitness_club_gym_servicebdr_color');
	if ( $fitness_club_gym_servicebdr_color != '') {
		$fitness_club_gym_custom_style .=' #service-section h3:after {';
			$fitness_club_gym_custom_style .=' background:'.esc_attr($fitness_club_gym_servicebdr_color).' !important;';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_servicebox_color = get_theme_mod('fitness_club_gym_servicebox_color');
	if ( $fitness_club_gym_servicebox_color != '') {
		$fitness_club_gym_custom_style .=' #service-section .service-box {';
			$fitness_club_gym_custom_style .=' background:'.esc_attr($fitness_club_gym_servicebox_color).'; border-top-color:'.esc_attr($fitness_club_gym_servicebox_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_servicebox_color = get_theme_mod('fitness_club_gym_servicebox_color');
	if ( $fitness_club_gym_servicebox_color != '') {
		$fitness_club_gym_custom_style .=' #service-section .service-box:after {';
			$fitness_club_gym_custom_style .=' border-top-color:'.esc_attr($fitness_club_gym_servicebox_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_servicebox_title_color = get_theme_mod('fitness_club_gym_servicebox_title_color');
	if ( $fitness_club_gym_servicebox_title_color != '') {
		$fitness_club_gym_custom_style .=' .service-box h4 a {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_servicebox_title_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_servicebox_text_color = get_theme_mod('fitness_club_gym_servicebox_text_color');
	if ( $fitness_club_gym_servicebox_text_color != '') {
		$fitness_club_gym_custom_style .=' .service-box p {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_servicebox_text_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	$fitness_club_gym_servicebtn_color = get_theme_mod('fitness_club_gym_servicebtn_color');
	if ( $fitness_club_gym_servicebtn_color != '') {
		$fitness_club_gym_custom_style .=' .service-content .read-btn a {';
			$fitness_club_gym_custom_style .=' color:'.esc_attr($fitness_club_gym_servicebtn_color).';';
		$fitness_club_gym_custom_style .=' }';
	}

	// Copyright padding
	$fitness_club_gym_copyright_padding = get_theme_mod('fitness_club_gym_copyright_padding');
	if( $fitness_club_gym_copyright_padding != ''){
		$fitness_club_gym_custom_style .=' .site-info {';
			$fitness_club_gym_custom_style .=' padding-top: '.esc_attr($fitness_club_gym_copyright_padding).'px; padding-bottom: '.esc_attr($fitness_club_gym_copyright_padding).'px;';
		$fitness_club_gym_custom_style .=' }';
	}